﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LevelEditor
{
    public partial class LevelSettings : Form, IMapSettings
    {
        public LevelSettings()
        {
            InitializeComponent();
        }

        public int MapWidth
        {
            get { return (int)numericMapWidth.Value; }
            set { numericMapWidth.Value = value; }
        }

        public int MapHeight
        {
            get { return (int)numericMapHeight.Value; }
            set { numericMapHeight.Value = value; }
        }

        public int TileWidth
        {
            get { return (int)numericTileWidth.Value; }
            set { numericTileWidth.Value = value; }
        }

        public int TileHeight
        {
            get { return (int)numericTileHeight.Value; }
            set { numericTileHeight.Value = value; }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}
